package xyz.mcutils.models.dns;

import io.micrometer.common.lang.NonNull;
import lombok.*;

@Setter @Getter @ToString
@NoArgsConstructor @AllArgsConstructor
public class DNSRecord {
    /**
     * The type of this record.
     */
    @NonNull
    private Type type;

    /**
     * The TTL (Time To Live) of this record.
     */
    private long ttl;

    /**
     * Types of a record.
     */
    public enum Type {
        A, SRV
    }
}
